var Ogma = require('ogma');

Ogma.libraries.xlsx = require('xlsx');

var ogma = new Ogma({
  container: 'graph-container',
  renderer: 'canvas'
});

ogma.generate
  .random()
  .then(graph => {
    return ogma.setGraph(graph);
  })
  .then(() => {
    ogma.view.locateGraph();
    ogma.export.xlsx({ filename: 'my-graph.xlsx' });
  });
